Bug 1917942 - Canary controller causes panic in ingress-operator
Summary: Canary controller causes panic in ingress-operator
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.0
Assignee: Stephen Greene
QA Contact: Arvind iyengar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-19 17:51 UTC by Stephen Greene
Modified: 2021-02-24 15:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:54:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-ingress-operator pull 533 0 None closed Bug 1917942: canary: Check canary service for nil elements 2021-02-01 10:12:52 UTC
Github openshift cluster-ingress-operator pull 540 0 None closed Bug 1917942: canary: Fail on all errors in `Reconcile(...)` 2021-02-01 10:13:36 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:54:59 UTC

Comment 5 Arvind iyengar 2021-02-01 10:15:36 UTC
The ingress-operator specific crashes are no longer noted in the latest CI runs post the inclusions of these fixes hence marking this bug as "verified".

Comment 8 errata-xmlrpc 2021-02-24 15:54:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.